Subject: Re: FVWM: few questions

From: Julian Finn <[email-masked]>
Date: Wed, 22 Oct 2003 04:28:04 +0200 (CEST)

Hi,
>
> You should read the fvwm man page. You may discover the things you always
> wanted to have and don't know the terminology by merely reading it.

i find the man page a bit difficult. It might be okay for just reading but
it I want to search for certain things a reference or even a tutorial or
whatever would really help. is there anything like that?

>
> The command you want is:
>
>   Style MPlayer Sticky
>
> Or the following makes it sticky by pressing Shift-Ctrl-M from anywhere:
>
>   Key M A SC Next (MPlayer) Stick
>
thx a lot. I will try that right tomorrow (it's 4 am here atm)

>
> Add FvwmConsole to your menus or launch it on a key like Alt-F12, then
> invoke it and type any fvwm commands in it (the same commands you put
> into .fvwm2rc). Run, for example, commands "Beep" or "Module FvwmIdent"
> from FvwmConsole.
>
> Another way tp remotely control fvwm is to run FvwmCommand (read its man
> page).
>
> You want to read about conditional commands in the fvwm man page, like:
>
>   Next (MPlayer) SwitchToWindow
>
>   DestroyFunc SwitchToWindow
>   AddToFunc   SwitchToWindow
>   + I Raise
>   + I Focus
>   + I WarpToWindow 50 50
>
errm, I don't exactly know if I understand you properly or so..
What I want is to have a key for a certain program. If it isn't running, i
want it to start, if it is running i want it to be raised and focussed.
is that what you wrote?

>
> Please read about MULTI-SCREEN DISPLAYS and XINERAMA in the man page.
> It suggests:
>
>   EdgeScroll 0 0
>
> There are other Edge commands, powerful, but a bit tricky to understand.

thx, i will have a look...

Best regards, thanx a lot,

Julian

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mikhael Goikhman <[email-masked]>
Date: Wed, 22 Oct 2003 02:34:01 +0000

> want it to start, if it is running i want it to be raised and focussed.

Check the FAQ, it has the answer.

Regards,
Mikhael.